Skip to content
Product Docs

Assign Role To User In Organization

PUT/api/v1/organizations/{organization_id}/users/roles

Assign a role to a user in an organization.

Path ParametersExpand Collapse
organization_id: string
Cookie ParametersExpand Collapse
session: optional string
Body ParametersJSONExpand Collapse
organization_id: string

The organization’s ID.

formatuuid
role_id: string

The role’s ID.

formatuuid
user_id: string

The user’s ID.

ReturnsExpand Collapse
UserOrganizationRole object { id, organization_id, role, 4 more }

Schema for a user’s role in an organization.

id: string

Unique identifier

formatuuid
organization_id: string

The organization’s ID.

formatuuid
role: Role { id, name, permissions, 2 more }

The role.

id: string

Unique identifier

formatuuid
name: string

A name for the role.

maxLength3000
minLength1
permissions: array of object { id, access, description, 3 more }

The actual permissions of the role.

id: string

Unique identifier

formatuuid
access: boolean

Whether the permission is granted or not.

description: string

A description for the permission.

name: string

A name for the permission.

maxLength3000
minLength1
created_at: optional string

Creation datetime

formatdate-time
updated_at: optional string

Update datetime

formatdate-time
created_at: optional string

Creation datetime

formatdate-time
updated_at: optional string

Update datetime

formatdate-time
user_id: string

The user’s ID.

created_at: optional string

Creation datetime

formatdate-time
project_ids: optional array of string

The project ID scope.

updated_at: optional string

Update datetime

formatdate-time

Assign Role To User In Organization

curl https://api.cloud.llamaindex.ai/api/v1/organizations/$ORGANIZATION_ID/users/roles \
    -X PUT \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY" \
    -d '{
          "organization_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
          "role_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
          "user_id": "user_id"
        }'
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "organization_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "role": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "name": "x",
    "permissions": [
      {
        "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "access": true,
        "description": "description",
        "name": "x",
        "created_at": "2019-12-27T18:11:19.117Z",
        "updated_at": "2019-12-27T18:11:19.117Z"
      }
    ],
    "created_at": "2019-12-27T18:11:19.117Z",
    "updated_at": "2019-12-27T18:11:19.117Z"
  },
  "user_id": "user_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "project_ids": [
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  ],
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Returns Examples
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "organization_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "role": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "name": "x",
    "permissions": [
      {
        "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "access": true,
        "description": "description",
        "name": "x",
        "created_at": "2019-12-27T18:11:19.117Z",
        "updated_at": "2019-12-27T18:11:19.117Z"
      }
    ],
    "created_at": "2019-12-27T18:11:19.117Z",
    "updated_at": "2019-12-27T18:11:19.117Z"
  },
  "user_id": "user_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "project_ids": [
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  ],
  "updated_at": "2019-12-27T18:11:19.117Z"
}